<form [formGroup]="loginForm" (ngSubmit)="onSubmit()">
    <div class="form-group">
        <mat-form-field>
            <input matInput formControlName="email" placeholder="Email">
            <mat-icon color="warn" class="form-warning-icon" [matTooltip]="errorTips['email']" *ngIf="loginForm.controls['email'].touched && !loginForm.controls['email'].valid">error_outline</mat-icon>
        </mat-form-field>
        <mat-form-field>
            <input type="password" matInput formControlName="password" placeholder="Password">
            <mat-icon color="warn" class="form-warning-icon" [matTooltip]="errorTips['password']" *ngIf="loginForm.controls['password'].touched && !loginForm.controls['password'].valid">error_outline</mat-icon>
        </mat-form-field>
    </div>

    <div class="form-button-row">
        <button mat-raised-button type="submit" color="primary" [disabled]="loginForm.pristine || !loginForm.valid">Login</button>
        <!-- <button mat-raised-button type="reset" [disabled]="loginForm.pristine" (click)="revert()">Reset</button> -->
        <button mat-raised-button type="reset" (click)="cancel()">Cancel</button>
    </div>
</form>



<!-- 
<form class="form-signin" method="POST" action="#" role="form">
    <div class="form-group">
        <h2>Login</h2>
    </div>
    <div *ngIf="errorMessage!=null" class="alert alert-danger">
        {{ errorMessage }}
    </div>
    <div class="form-group">
        <label class="control-label" for="signupEmail">Email</label>
        <input id="signupEmail" required type="email" maxlength="100" class="form-control" [(ngModel)]="email" [ngModelOptions]="{standalone: true}">
    </div>

    <div class="form-group">
        <label class="control-label" for="signupPassword">Password</label>
        <input id="signupPassword" required type="password" maxlength="25" class="form-control" length="40" [(ngModel)]="password"
            [ngModelOptions]="{standalone: true}">
    </div>
    <div class="form-group">
        <button (click)="onLogin()" id="signupSubmit" type="submit" class="btn btn-info btn-block">
            Login
        </button>
    </div>
    <hr>
    <p>
        <a [routerLink]="['/home/register']">
            <i class="fa fa-fw fa-group"></i> Register</a>
        <a [routerLink]="['/home/forgotPassword']">
            <i class="fa fa-fw fa-group"></i> Forgot Password?</a>
        <br/>
        <a [routerLink]="['/home/resendCode']">
            <i class="fa fa-fw fa-group"></i> Resend Confirmation Code</a>
    </p>
</form> 
-->